//
//  AppDelegate.h
//  SqliteJoinQuery
//
//  Created by Merlyn on 12/4/13.
//  Copyright (c) 2013 The App Lady. All rights reserved.
//

#import <UIKit/UIKit.h>

#import <sqlite3.h>

@interface AppDelegate : UIResponder <UIApplicationDelegate> {
	sqlite3 *dbHandle;
}

@property (strong, nonatomic) UIWindow *window;

- (NSString *)docPath;

- (void)openDatabase;

- (void)closeDatabase;

- (NSMutableArray *)fetchAllVideos;

- (NSMutableArray *)fetchPhotosByAlbum:(int)albumId;

- (NSMutableArray *)fetchAlbums;

- (NSMutableArray *)joinQuery;

- (NSArray *)fetchVideoByTitle:(NSString *)title;

@end
