//
//  ViewController.h
//  SqliteJoinQuery
//
//  Created by Merlyn on 12/4/13.
//  Copyright (c) 2013 The App Lady. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "AppDelegate.h"

@interface ViewController : UIViewController  <UIPickerViewDataSource, UIPickerViewDelegate>

@property (strong, nonatomic) AppDelegate *appDelegate;

// These properties are for connecting to the view's controls
@property (strong, nonatomic) IBOutlet UIPickerView *pickerView;
@property (strong, nonatomic) IBOutlet UIImageView *imageView;

// This property will hold the item name selected from the pickerView control
@property (strong, nonatomic) NSString *itemSelected;

// These two property variables will hold rows fetch from the database tables
@property (strong, nonatomic) NSMutableArray *albumList;
@property (strong, nonatomic) NSMutableArray *photoList;

// This property will hold the total number of photos there are in an album
@property (readwrite, nonatomic) int totalPhotos;

@end
